DCMTK: DcmFindSCUCallback Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
DcmFindSCUCallback Class Referenceabstract

Abstract base class for Find SCU callbacks. More...

Inheritance diagram for DcmFindSCUCallback:

## Public Member Functions
| DcmFindSCUCallback ()
| default constructor
virtual | ~DcmFindSCUCallback ()
| destructor
virtual void | callback (T_DIMSE_C_FindRQ *request, int &responseCount, T_DIMSE_C_FindRSP *rsp, DcmDataset *responseIdentifiers)=0
| callback method that is called once for each incoming C-FIND-RSP message.
void | setAssociation (T_ASC_Association *assoc)
| assigns a value to member variable assoc_.
void | setPresentationContextID (T_ASC_PresentationContextID presId)
| assigns a value to member variable presId_.

## Protected Attributes
T_ASC_Association * | assoc_
| pointer to current association. Will contain valid value when callback() is called.
T_ASC_PresentationContextID | presId_
| current presentation context ID. Will contain valid value when callback() is called.

## Private Member Functions
| DcmFindSCUCallback (const DcmFindSCUCallback &other)
| private undefined copy constructor.
DcmFindSCUCallback & | operator= (const DcmFindSCUCallback &other)
| private undefined assignment operator.

## Detailed Description

Abstract base class for Find SCU callbacks.

During a C-FIND operation, the callback() method of a callback handler object derived from this class is called once for each incoming C-FIND-RSP message. The callback method has access to the original C-FIND-RQ message (but not the request dataset), the current C-FIND-RSP message including its dataset, the number of the current request, the association over which the request is received and the presentation context ID. The callback is needed to process the incoming message (e.g., display on screen, add to some list, store to file). The callback may also issue a C-FIND-CANCEL message if needed. Implementations may provide their own callbacks, which must be derived from this base class.

## Constructor & Destructor Documentation

## ◆ DcmFindSCUCallback()

DcmFindSCUCallback::DcmFindSCUCallback | ( | const DcmFindSCUCallback & | other | ) |
| private

private undefined copy constructor.

Parameters

  other | documented to avoid doxygen warnings

References DcmFindSCUCallback().

## Member Function Documentation

## ◆ callback()

virtual void DcmFindSCUCallback::callback | ( | T_DIMSE_C_FindRQ * | request,
|  | int & | responseCount,
|  | T_DIMSE_C_FindRSP * | rsp,
|  | DcmDataset * | responseIdentifiers )
| pure virtual

callback method that is called once for each incoming C-FIND-RSP message.

Parameters

  request | DIMSE command of the original C-FIND request.
  responseCount | number of current response.
  rsp | DIMSE command of incoming C-FIND response.
  responseIdentifiers | dataset of incoming C-FIND response.

Implemented in DcmFindSCUDefaultCallback.

## ◆ operator=()

DcmFindSCUCallback & DcmFindSCUCallback::operator= | ( | const DcmFindSCUCallback & | other | ) |
| private

private undefined assignment operator.

Parameters

  other | documented to avoid doxygen warnings

References DcmFindSCUCallback().

## ◆ setAssociation()

void DcmFindSCUCallback::setAssociation | ( | T_ASC_Association * | assoc | ) |

assigns a value to member variable assoc_.

Used by FindSCU code (class DcmFindSCU) to store a pointer to the current association before the callback object is used.

Parameters

  assoc | pointer to current association

## ◆ setPresentationContextID()

void DcmFindSCUCallback::setPresentationContextID | ( | T_ASC_PresentationContextID | presId | ) |

assigns a value to member variable presId_.

Used by FindSCU code (class DcmFindSCU) to store the current presentation context ID before the callback object is used.

Parameters

  presId | current presentation context ID

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dfindscu.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2